Update service status
Update a given service status. Set position to reflect which step in the workflow this status is.
Required permissions: SERVICE_ORDER
put/tenants/{tenantUid}/serviceorders/statuses/{serviceStatusUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+serviceStatusUidstringRequiredPattern:
Reference to a service status
^[A-Za-z0-9-_]+Body
namestringRequired
statestring · enumRequiredPossible values:
deprecatedbooleanOptional
Responses
200
Example response
application/json
serviceStatusUidstringRequiredPattern:
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
^[A-Za-z0-9-_]+namestringRequired
statestring · enumRequiredPossible values:
deprecatedbooleanRequiredDefault:
falseput/tenants/{tenantUid}/serviceorders/statuses/{serviceStatusUid}
PUT /v2/tenants/{tenantUid}/serviceorders/statuses/{serviceStatusUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 55
{
"name": "text",
"state": "NOT_STARTED",
"deprecated": true
}200
Example response
{
"serviceStatusUid": "text",
"tenantUid": "text",
"name": "text",
"state": "NOT_STARTED",
"deprecated": false
}Last updated
Was this helpful?

